Skip to main content
GET
/
api
/
scores
/
stream
Get a real-time Server-Sent Events stream of scores updates
curl --request GET \
  --url https://txline.txodds.com/api/scores/stream \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Api-Token: <api-key>'
{
  "id": "<string>",
  "event": "<string>",
  "data": {
    "fixtureId": 123,
    "gameState": "<string>",
    "startTime": 123,
    "isTeam": true,
    "fixtureGroupId": 123,
    "competitionId": 123,
    "countryId": 123,
    "sportId": 123,
    "participant1IsHome": true,
    "participant2Id": 123,
    "participant1Id": 123,
    "action": "<string>",
    "id": 123,
    "ts": 123,
    "connectionId": 123,
    "seq": 123,
    "coverageSecondaryData": true,
    "coverageType": "<string>",
    "statusId": {},
    "statusBasketballId": {},
    "statusSoccerId": {},
    "type": {},
    "confirmed": true,
    "clock": {
      "running": true,
      "seconds": 123
    },
    "down": {
      "number": 123,
      "yardsToGo": 123,
      "scrimmageLine": 123,
      "possession": {},
      "side": {}
    },
    "inPlayInfo": {
      "BallSnapped": true,
      "PlayersLiningUp": true,
      "TimeoutParti1": true,
      "TimeoutParti2": true,
      "TVTimeout": true,
      "Outcome": {},
      "NewSetOfDowns": true,
      "PenaltyIncreasedDown": true,
      "PreviousDown": {
        "number": 123,
        "yardsToGo": 123,
        "scrimmageLine": 123,
        "possession": {},
        "side": {}
      }
    },
    "kickoffInfo": {
      "Team": {},
      "Type": {},
      "Outcome": {},
      "KickoffPreviousAction": {},
      "PenaltyYards": 123
    },
    "score": {
      "Participant1": {
        "Q1": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "Q2": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "HT": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "Q3": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "Q4": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "OT": {},
        "OTTotal": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "Total": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        }
      },
      "Participant2": {
        "Q1": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "Q2": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "HT": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "Q3": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "Q4": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "OT": {},
        "OTTotal": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        },
        "Total": {
          "Score": 123,
          "Touchdown": 123,
          "Safety": 123,
          "1ptSafety": 123,
          "1ptConversion": 123,
          "2ptConversion": 123,
          "FieldGoal": 123,
          "Defensive2ptConversion": 123
        }
      }
    },
    "data": {
      "Action": "<string>",
      "Active": true,
      "BigPlay": true,
      "Challenge": true,
      "Clock": {
        "running": true,
        "seconds": 123
      },
      "Down": "<string>",
      "FieldGoal": true,
      "Id": 123,
      "IsTeam": true,
      "New": {
        "Clock": {
          "running": true,
          "seconds": 123
        },
        "IsTeam": true,
        "Outcome": {},
        "PlayerId": 123,
        "ReceiverId": 123,
        "RusherId": 123,
        "SackedPlayerId": 123,
        "Yards": 123,
        "YardsToGo": 123
      },
      "NewSetOfDowns": true,
      "Origin": "<string>",
      "Outcome": "<string>",
      "Participant": 123,
      "Participants": [
        123
      ],
      "PasserId": 123,
      "Penalty": true,
      "PlayerId": 123,
      "Posession": 123,
      "Previous": {
        "Clock": {
          "running": true,
          "seconds": 123
        },
        "IsTeam": true,
        "Outcome": {},
        "PlayerId": 123,
        "ReceiverId": 123,
        "RusherId": 123,
        "SackedPlayerId": 123,
        "Yards": 123,
        "YardsToGo": 123
      },
      "ReceiverId": 123,
      "ReplaceId": 123,
      "ReviewType": "<string>",
      "RusherId": 123,
      "SackedPlayerId": 123,
      "Safety": true,
      "ScrimmageLine": 123,
      "Side": "<string>",
      "Touchdown": true,
      "Turnover": true,
      "Type": "<string>",
      "Yards": 123,
      "YardsToGo": 123,
      "YardsToEndzone": 123
    },
    "scoreBasketball": {
      "Participant1": {
        "Period": {},
        "HT": {
          "Score": 123,
          "Fouls": 123,
          "PersonalFouls": 123,
          "Blocks": 123,
          "Rebounds": 123,
          "FreeThrows_made": 123,
          "2pts_made": 123,
          "3pts_made": 123,
          "FreeThrows_missed": 123,
          "2pts_missed": 123,
          "3pts_missed": 123,
          "FreeThrows_attempts": 123,
          "2pts_attempts": 123,
          "3pts_attempts": 123,
          "Assists": 123,
          "Turnovers": 123,
          "Steals": 123,
          "UsedTimeouts": 123
        },
        "OT": {},
        "OTTotal": {
          "Score": 123,
          "Fouls": 123,
          "PersonalFouls": 123,
          "Blocks": 123,
          "Rebounds": 123,
          "FreeThrows_made": 123,
          "2pts_made": 123,
          "3pts_made": 123,
          "FreeThrows_missed": 123,
          "2pts_missed": 123,
          "3pts_missed": 123,
          "FreeThrows_attempts": 123,
          "2pts_attempts": 123,
          "3pts_attempts": 123,
          "Assists": 123,
          "Turnovers": 123,
          "Steals": 123,
          "UsedTimeouts": 123
        },
        "Total": {
          "Score": 123,
          "Fouls": 123,
          "PersonalFouls": 123,
          "Blocks": 123,
          "Rebounds": 123,
          "FreeThrows_made": 123,
          "2pts_made": 123,
          "3pts_made": 123,
          "FreeThrows_missed": 123,
          "2pts_missed": 123,
          "3pts_missed": 123,
          "FreeThrows_attempts": 123,
          "2pts_attempts": 123,
          "3pts_attempts": 123,
          "Assists": 123,
          "Turnovers": 123,
          "Steals": 123,
          "UsedTimeouts": 123
        }
      },
      "Participant2": {
        "Period": {},
        "HT": {
          "Score": 123,
          "Fouls": 123,
          "PersonalFouls": 123,
          "Blocks": 123,
          "Rebounds": 123,
          "FreeThrows_made": 123,
          "2pts_made": 123,
          "3pts_made": 123,
          "FreeThrows_missed": 123,
          "2pts_missed": 123,
          "3pts_missed": 123,
          "FreeThrows_attempts": 123,
          "2pts_attempts": 123,
          "3pts_attempts": 123,
          "Assists": 123,
          "Turnovers": 123,
          "Steals": 123,
          "UsedTimeouts": 123
        },
        "OT": {},
        "OTTotal": {
          "Score": 123,
          "Fouls": 123,
          "PersonalFouls": 123,
          "Blocks": 123,
          "Rebounds": 123,
          "FreeThrows_made": 123,
          "2pts_made": 123,
          "3pts_made": 123,
          "FreeThrows_missed": 123,
          "2pts_missed": 123,
          "3pts_missed": 123,
          "FreeThrows_attempts": 123,
          "2pts_attempts": 123,
          "3pts_attempts": 123,
          "Assists": 123,
          "Turnovers": 123,
          "Steals": 123,
          "UsedTimeouts": 123
        },
        "Total": {
          "Score": 123,
          "Fouls": 123,
          "PersonalFouls": 123,
          "Blocks": 123,
          "Rebounds": 123,
          "FreeThrows_made": 123,
          "2pts_made": 123,
          "3pts_made": 123,
          "FreeThrows_missed": 123,
          "2pts_missed": 123,
          "3pts_missed": 123,
          "FreeThrows_attempts": 123,
          "2pts_attempts": 123,
          "3pts_attempts": 123,
          "Assists": 123,
          "Turnovers": 123,
          "Steals": 123,
          "UsedTimeouts": 123
        }
      }
    },
    "dataBasketball": {
      "Action": "<string>",
      "Active": true,
      "AssistConfirmed": true,
      "AssistId": 123,
      "BlockConfirmed": true,
      "BlockerId": 123,
      "Clock": {
        "running": true,
        "seconds": 123
      },
      "FouledId": 123,
      "Id": 123,
      "New": {
        "AssistConfirmed": true,
        "AssistId": 123,
        "BlockConfirmed": true,
        "BlockerId": 123,
        "Clock": {
          "running": true,
          "seconds": 123
        },
        "FouledId": 123,
        "IsPlayerRebound": true,
        "IsTeam": true,
        "IsTeamRebound": true,
        "Outcome": "<string>",
        "Participant": 123,
        "PlayerId": 123,
        "PlayerInId": 123,
        "PlayerOutId": 123,
        "TeamFoul": true,
        "TurnoverId": 123,
        "Type": "<string>",
        "UpdatePlayersOnCourt": true
      },
      "Outcome": "<string>",
      "Previous": {
        "AssistConfirmed": true,
        "AssistId": 123,
        "BlockConfirmed": true,
        "BlockerId": 123,
        "Clock": {
          "running": true,
          "seconds": 123
        },
        "FouledId": 123,
        "IsPlayerRebound": true,
        "IsTeam": true,
        "IsTeamRebound": true,
        "Outcome": "<string>",
        "Participant": 123,
        "PlayerId": 123,
        "PlayerInId": 123,
        "PlayerOutId": 123,
        "TeamFoul": true,
        "TurnoverId": 123,
        "Type": "<string>",
        "UpdatePlayersOnCourt": true
      },
      "ReplaceId": 123,
      "Type": "<string>"
    },
    "scoreSoccer": {
      "Participant1": {
        "H1": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "HT": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "H2": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "ET1": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "ET2": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "PE": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "ETTotal": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "Total": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        }
      },
      "Participant2": {
        "H1": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "HT": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "H2": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "ET1": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "ET2": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "PE": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "ETTotal": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        },
        "Total": {
          "Goals": 123,
          "YellowCards": 123,
          "RedCards": 123,
          "Corners": 123
        }
      }
    },
    "dataSoccer": {
      "Action": "<string>",
      "Color": "<string>",
      "Conditions": [
        "<string>"
      ],
      "New": {
        "Clock": {
          "running": true,
          "seconds": 123
        },
        "FreeKickType": {},
        "GoalType": {},
        "Minutes": 123,
        "Outcome": "<string>",
        "PlayerId": 123,
        "PlayerInId": 123,
        "PlayerOutId": 123,
        "ThrowInType": {},
        "Type": "<string>"
      },
      "Corner": true,
      "FreeKickType": "<string>",
      "Goal": true,
      "GoalType": {},
      "Minutes": 123,
      "Outcome": "<string>",
      "Participant": 123,
      "Penalty": true,
      "PlayerId": 123,
      "PlayerInId": 123,
      "PlayerOutId": 123,
      "Previous": {
        "Clock": {
          "running": true,
          "seconds": 123
        },
        "FreeKickType": {},
        "GoalType": {},
        "Minutes": 123,
        "Outcome": "<string>",
        "PlayerId": 123,
        "PlayerInId": 123,
        "PlayerOutId": 123,
        "ThrowInType": {},
        "Type": "<string>"
      },
      "StatusId": 123,
      "ThrowInType": "<string>",
      "Type": "<string>",
      "RedCard": true,
      "YellowCard": true,
      "VAR": true,
      "VenueType": {}
    },
    "stats": {},
    "participant": 123,
    "kickoff": {
      "Team": {}
    },
    "lineups": [
      {
        "id": "<string>",
        "normativeId": 123,
        "preferredName": "<string>",
        "gender": "<string>",
        "updateDateMillis": 123,
        "lineups": [
          {
            "fixturePlayerId": 123,
            "statusId": 123,
            "positionId": 123,
            "unitId": 123,
            "rosterNumber": "<string>",
            "starter": true,
            "starred": true,
            "player": {
              "id": "<string>",
              "normativeId": 123,
              "country": "<string>",
              "team": "<string>",
              "dateOfBirth": "<string>",
              "gender": "<string>",
              "preferredName": "<string>",
              "updateDateMillis": 123
            }
          }
        ]
      }
    ],
    "possession": 123,
    "possessionType": {},
    "parti1StateSoccer": {
      "PossibleEvent": {
        "Goal": true,
        "Penalty": true,
        "Corner": true
      }
    },
    "parti1StateUsFootball": {
      "Timeouts": 123,
      "Challenges": 123,
      "PossibleEvent": {
        "touchdown": true,
        "fieldGoal": true,
        "safety": true,
        "4thDownConversion": true,
        "2ptConversionAttempt": true,
        "1stDown": true,
        "bigPlay": true,
        "punt": true
      }
    },
    "parti1StateBasketball": {
      "AttackingBasket": true,
      "ActiveTimeout": true,
      "Challenges": 123
    },
    "parti2StateSoccer": {
      "PossibleEvent": {
        "Goal": true,
        "Penalty": true,
        "Corner": true
      }
    },
    "parti2StateUsFootball": {
      "Timeouts": 123,
      "Challenges": 123,
      "PossibleEvent": {
        "touchdown": true,
        "fieldGoal": true,
        "safety": true,
        "4thDownConversion": true,
        "2ptConversionAttempt": true,
        "1stDown": true,
        "bigPlay": true,
        "punt": true
      }
    },
    "parti2StateBasketball": {
      "AttackingBasket": true,
      "ActiveTimeout": true,
      "Challenges": 123
    },
    "possibleEventSoccer": {
      "RedCard": true,
      "YellowCard": true,
      "VAR": true
    },
    "possibleEventUsFootball": {
      "penalty": true,
      "turnover": true,
      "challenge": true
    }
  }
}

Authorizations

Authorization
string
header
required

User's session JWT.

X-Api-Token
string
header
required

The user's long-lived API token, obtained from the activation endpoint.

Headers

Authorization
string
required

Bearer token for the user's session JWT.

X-Api-Token
string
required

The user's long-lived API token.

Last-Event-ID
string

Optional. The ID of the last event received, to resume the stream.

Query Parameters

fixtureId
integer<int64>

Optional. Filter the event stream for a single fixture ID.

Response

id
string
event
string
data
Scores · object